name: LIGHTNING_IPHONE5
description: lightning connector for iPhone 5
datasheet: https://aliexpress.com/item/32923926674.html, 50--5
keywords: connector, lightning

pinout:
  GND: 1
  L0p: 2
  L0n: 3
  ID0: 4
  PWR: 5
  L1n: 6
  L1p: 7
  ID1: 8
  INSERT_DETECT: 9, 10
  SHIELD: 11, 12
  MOUNTING_TAB: 13, 14

properties:
  power: PWR
  bidir: L0p, L0n, L1n, L1p, ID0, ID1
  ground: GND
  passive: INSERT_DETECT, SHIELD, MOUNTING_TAB

schematic:
  symbol: connector
  top: PWR, INSERT_DETECT
  right: L0p, L0n, L1n, L1p, ID0, ID1
  bottom: GND, SHIELD, MOUNTING_TAB

housing:
  pattern: custom
  bodyWidth: 10.30
  bodyLength: 8.20
  height: 3.3

  # lightning
  padWidth: 0.4 # lead width = 0.2
  padHeight: 1.5 # lead height = 1.3
  pitch: 0.6
  rowCount: 1
  columnCount: 8
  rowDX: 0
  rowDY: -4.75

  # insert detect
  padWidth1: 0.4 # lead width = 0.2
  padHeight1: 1.5 # lead height = 1.3
  padPosition1: -2.93, -4.75, 2.93, -4.75

  # shield tabs
  padWidth2: 1.6 # lead width = 1.15-1.37
  padHeight2: 1.2 # lead height = 1.0
  padPosition2: -5.8, -3.3, 5.8, -3.3

  # mounting tabs
  slotWidth3: 0.6 # tab height = 0.2
  slotHeight3: 1.4 # tab height = 1.0
  padWidth3: 1.0
  padHeight3: 1.8
  padPosition3: -5.05, 0.95, 5.05, 0.95 # 7.15/2, 2.3-3.45
